﻿.cal-month-day {
    height: auto;
}

.cal-year-box [class*="span"], .cal-month-box [class*="cal-cell"] {
    min-height: unset
}

.cal-month-box span[data-cal-date] {
    font-size: 1.5em;
    display: block;
    padding: 25px 0;
}

.cal-month-box .cal-day-today span[data-cal-date] {
    font-size: 1.5em;
    text-decoration: underline
}

span[data-cal-date] {
    margin: 0;
    font-size: 1.5em;
    opacity: 1
}

#schedule-wapper {
    display: flex;
    flex-flow: wrap
}

    #schedule-wapper span {
        padding: 10px 15px;
        background-color: #f60;
        color: #fff;
        margin: 5px;
        width: 100px;
        text-align: center;
        display: block;
        border-radius: 5px
    }

    #schedule-wapper .btn-lesson-reserve, #schedule-wapper .btn:disabled {
        text-align: center;
        flex: 0 0 15.8%
    }

.schedule-title {
    display: none;
    margin-top: 35px
}

.schedule_table {
    flex-flow: wrap
}

    .schedule_table h4.LessonSchedule {
        font-weight: 600;
        text-align: center
    }

    .schedule_table .LessonSchedule::after {
        content: "";
        display: block;
        width: 30%;
        height: 5px;
        margin: 0 auto;
        background: var(--main-bg-color)
    }

#model-title::after {
    content: "";
    display: block;
    width: 70%;
    height: 5px;
    margin: 0 auto;
    background: var(--main-bg-color)
}

.has-schedule {
    background-color: #f0f2f3
}

.have-schedule {
    background-color: #f9d8c2
}

.date-active {
    background: #ffb787
}

    .date-active > span {
        color: red !important;
        font-weight: 600
    }

.calendar-desc {
    font-size: 14px;
    color: #272727;
    position: relative;
    padding-left: 18px;
}

    .calendar-desc.have:before, .calendar-desc.has:before {
        content: '';
        position: absolute;
        width: 16px;
        height: 16px;
        background-color: #f9d8c2;
        left: 0;
        top: 10%
    }

    .calendar-desc.has:before {
        background-color: #d8dee4
    }

.calendar-header .btn-outline-orange:hover svg {
    color: #f60
}

#lesson_reserve_button {
    margin-top: 5px;
    padding: 7px 30px;
    background-color: #F60;
    color: #fff
}

.calendar-nav-panel {
    display: flex;
    flex: auto
}

#current-month {
    font-size: 18px
}

.modal-body {
    text-align: center
}

@media only screen and (min-device-width : 320px) and (max-device-width : 480px) {
   
    .calendar-header {
        text-align: center
    }

        .calendar-header lable.inst {
            font-size: 1.5em;
            font-weight: 600;
            margin: 10px auto
        }

    .schedule-title {
        margin: 15px;
        text-align: center;
        font-size: 1.2em
    }

    #schedule-wapper {
        margin-bottom:2em;
    }

        #schedule-wapper .btn-lesson-reserve, #schedule-wapper .btn:disabled {
            flex: 0 0 47%;
            font-size: 1.2em
        }

    .schedule_table h2.LessonSchedule {
        font-size: 2em
    }

    .cal-month-box span[data-cal-date] {
        padding: 10px 0;
        font-size:1.2em;
    }
    .cal-month-box .cal-day-today span[data-cal-date]{font-size:1.2em;}
}

@media only screen and (min-device-width : 768px) and (max-device-width : 1024px) {

    .teacher-callendar {
        padding: inherit;
    }

    #schedule-wapper {
        margin-bottom: 2rem;
    }

        #schedule-wapper .btn:nth-child(4n) {
            margin-right: 0 !important;
        }

        #schedule-wapper .btn-lesson-reserve, #schedule-wapper .btn:disabled {
            flex: 0 0 24%;
        }

    .cal-month-box span[data-cal-date] {
        padding: 25px 0;
    }
}

/* landscape orientation */
@media only screen and (min-width : 768px) and (max-width : 1024px) and (orientation : landscape) {
    #schedule-wapper .btn:nth-child(4n) {
        margin-right: 0.5rem !important;
    }
    #schedule-wapper .btn:nth-child(7n) {
        margin-right: 0 !important;
    }

    #schedule-wapper .btn-lesson-reserve, #schedule-wapper .btn:disabled {
        flex: 0 0 13.4%;
    }

}
